Debian Bug report logs - #604679
oss4: Please add armhf support

version graph

Package: src:oss4; Maintainer for src:oss4 is Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 23 Nov 2010 13:36:02 UTC

Severity: important

Tags: patch

Fixed in version oss4/4.2-build2003-1.1

Done: Konstantinos Margaritis <markos@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>:
Bug#604679; Package src:oss4. (Tue, 23 Nov 2010 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>. (Tue, 23 Nov 2010 13:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: oss4: Please add armhf support
Date: Tue, 23 Nov 2010 15:21:38 +0000
[Message part 1 (text/plain, inline)]
Source: oss4
Severity: wishlist
Tags: patch

Hi,

The armhf port has reached a very good state (at 87%) at debian-ports.org,
and I'm now mass-filing bug reports to packages for armhf support.
Most packages just have to add armhf in the architecture field. The complete
list is in http://wiki.debian.org/ArmHardFloatTodo

The package builds fine using the attached patch.

Please consider adding armhf support. :)

Regards

Konstantinos


-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[oss4-armhf.diff (text/x-diff, attachment)]

Severity set to 'important' from 'wishlist' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:26 GMT) Full text and rfc822 format available.

Information stored :
Bug#604679; Package src:oss4. (Sat, 05 Mar 2011 05:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and filed, but not forwarded. (Sat, 05 Mar 2011 05:27:03 GMT) Full text and rfc822 format available.

Message #12 received at 604679-quiet@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 604679-quiet@bugs.debian.org
Cc: pkg-oss4-maintainers@lists.alioth.debian.org
Subject: oss4: NMU diff
Date: Sat, 5 Mar 2011 05:24:24 +0000
Hello,

  A NMU package will be uploaded into the archive by Sunday with the
following patch applied:
  Consider to add linux-any on the Architecture list or any suitable
tag more generic

================8<<==================
diff -Nru oss4-4.2-build2003/debian/changelog
oss4-4.2-build2003/debian/changelog
--- oss4-4.2-build2003/debian/changelog 2011-03-05 05:23:42.000000000 +0000
+++ oss4-4.2-build2003/debian/changelog 2011-03-05 05:23:43.000000000 +0000
@@ -1,3 +1,9 @@
+oss4 (4.2-build2003-1.1) unstable; urgency=low
+
+  * NMU, added armhf support. (Closes: #604679)
+
+ -- Konstantinos Margaritis <markos@debian.org>  Thu, 24 Feb 2011
18:07:01 +0000
+
 oss4 (4.2-build2003-1) unstable; urgency=high

   * New upstream release.
diff -Nru oss4-4.2-build2003/debian/control oss4-4.2-build2003/debian/control
--- oss4-4.2-build2003/debian/control   2011-03-05 05:23:42.000000000 +0000
+++ oss4-4.2-build2003/debian/control   2011-03-05 05:23:43.000000000 +0000
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.0

 Package: oss4-base
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia
m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb
sparc
+Architecture: alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64
lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4
sh4eb sparc
 Depends: linux-sound-base, ${shlibs:Depends}, ${misc:Depends}
 Recommends: pm-utils
 Suggests: oss4-modules
@@ -25,7 +25,7 @@
  the module-assistant utility.

 Package: oss4-gtk
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia
m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb
sparc
+Architecture: alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64
lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4
sh4eb sparc
 Depends: oss4-base, ${shlibs:Depends}, ${misc:Depends}
 Description: Open Sound System - simple GTK2-based mixer control
  Open Sound System (OSS) is an attempt in unifying
================8<<==================

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Reply sent to Konstantinos Margaritis <markos@debian.org>:
You have taken responsibility. (Sun, 06 Mar 2011 19:21:15 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Sun, 06 Mar 2011 19:21:15 GMT) Full text and rfc822 format available.

Message #17 received at 604679-close@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: 604679-close@bugs.debian.org
Subject: Bug#604679: fixed in oss4 4.2-build2003-1.1
Date: Sun, 06 Mar 2011 19:18:48 +0000
Source: oss4
Source-Version: 4.2-build2003-1.1

We believe that the bug you reported is fixed in the latest version of
oss4, which is due to be installed in the Debian FTP archive:

oss4-base_4.2-build2003-1.1_amd64.deb
  to main/o/oss4/oss4-base_4.2-build2003-1.1_amd64.deb
oss4-dev_4.2-build2003-1.1_all.deb
  to main/o/oss4/oss4-dev_4.2-build2003-1.1_all.deb
oss4-dkms_4.2-build2003-1.1_all.deb
  to main/o/oss4/oss4-dkms_4.2-build2003-1.1_all.deb
oss4-gtk_4.2-build2003-1.1_amd64.deb
  to main/o/oss4/oss4-gtk_4.2-build2003-1.1_amd64.deb
oss4_4.2-build2003-1.1.diff.gz
  to main/o/oss4/oss4_4.2-build2003-1.1.diff.gz
oss4_4.2-build2003-1.1.dsc
  to main/o/oss4/oss4_4.2-build2003-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604679@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Konstantinos Margaritis <markos@debian.org> (supplier of updated oss4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 24 Feb 2011 18:07:01 +0000
Source: oss4
Binary: oss4-base oss4-gtk oss4-dkms oss4-dev
Architecture: source all amd64
Version: 4.2-build2003-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
Changed-By: Konstantinos Margaritis <markos@debian.org>
Description: 
 oss4-base  - Open Sound System - base package
 oss4-dev   - Open Sound System - development files
 oss4-dkms  - Open Sound System - DKMS module sources
 oss4-gtk   - Open Sound System - simple GTK2-based mixer control
Closes: 604679
Changes: 
 oss4 (4.2-build2003-1.1) unstable; urgency=low
 .
   * NMU, added armhf support. (Closes: #604679)
Checksums-Sha1: 
 fd094bbb398185dd8f72b5ba0a7a1cf5c5670f62 1984 oss4_4.2-build2003-1.1.dsc
 2047b2eb573eef39bc32dfc111e489e8386c713c 13002 oss4_4.2-build2003-1.1.diff.gz
 4f0b1690427e42ba4a05b4eccbf3d67ce11591da 1034352 oss4-dkms_4.2-build2003-1.1_all.deb
 c9131fb1f856f09a50569e4f58cf0fe097df219a 28290 oss4-dev_4.2-build2003-1.1_all.deb
 930d3a6a75c7167d512ac0b6707053ef9d52f23d 594810 oss4-base_4.2-build2003-1.1_amd64.deb
 8cc90dbbce6a22d4f5e15cdc345ccc4e28e9f06d 29506 oss4-gtk_4.2-build2003-1.1_amd64.deb
Checksums-Sha256: 
 5f9b184255f236669eae306e79ae395f3958deb3a63e7d6817544c02c617518f 1984 oss4_4.2-build2003-1.1.dsc
 443db91c58ca939e3c95b78eeeb9a292da121d1fcf76bb7e842e0b952233cf43 13002 oss4_4.2-build2003-1.1.diff.gz
 abbca08d3ae39bd19505e259b5e21ecc99ab09e96ca1cef789b5af2ae2539e70 1034352 oss4-dkms_4.2-build2003-1.1_all.deb
 703a6e9dd7665ad6e1bece040b8fc81d9d2c9532bea68e67b5f3a7380872e0aa 28290 oss4-dev_4.2-build2003-1.1_all.deb
 5cc28fee31c4b1ee5b1fd3c53005327237ce463c3e88b32123ef3615159c788b 594810 oss4-base_4.2-build2003-1.1_amd64.deb
 d2355014cf8df19cd17124124e21daf8cefc0269872ca81269b7283214ee08bf 29506 oss4-gtk_4.2-build2003-1.1_amd64.deb
Files: 
 19567d56afa45204d9907705b61d31d3 1984 sound optional oss4_4.2-build2003-1.1.dsc
 68e94fc3228f03df5d82b7e8ca1d1336 13002 sound optional oss4_4.2-build2003-1.1.diff.gz
 39eba89f32aae85cee29e452212e9588 1034352 kernel optional oss4-dkms_4.2-build2003-1.1_all.deb
 3b04057dcafc4682a2aa0b4a7b8c4ee3 28290 devel optional oss4-dev_4.2-build2003-1.1_all.deb
 99c0cfc3ba8f83d586c7e89ece93209a 594810 sound optional oss4-base_4.2-build2003-1.1_amd64.deb
 c542fb2840d6b892edfb110a311a7da0 29506 sound optional oss4-gtk_4.2-build2003-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJNZrB2AAoJEK8ig6p24qx7SPkQAJtZ6GdmKu/McYCRIi0urdk/
pb06HwKcDZciJCrOsRYObPFyguuhD70ODYD6pXE9MuOw/gUtRBSG5QeRkjC0r0rM
/OyGzW1F2ULB8Kf5gduO1Et1DxJu2GIvZL3RkuSSsZ6eLHdr7+Fff/tXZzTZTTul
eO3aKfwafX08iSkjQKLHpSG5zuYUpTJbVBRCCtYf1bMsM/+St/xfUr2BzoSlwWhf
X4A8327ba2yMrCwckukUbISsx/3pO6VeuK7Ax/nkhclKo8tKf0CF3E5XFE+7aLOq
xQXiK4uEbivPctv5PHbWv+jtSIJjfQRj3j76rV5dMOSMCbPHH08zxLTe03nOV9/3
Yk07jSyGR0kj2WD6mA31CISlZgmo6bj66kzY4E63VjHFM8oM4VJd10/BIHogwaQ0
MnhYT1wPSlaluN4eFuY/JLvJIpwqM3UA7uOUifuyFDyZ2D8dLt+9frZzSuYFJw5g
injByLnoQA1n6pAQJ7wKYq6DMVYLmN2nPMzjdi3OvUZN44jT+ZHhLgP+CXAV8KNb
rSXaUxhJsv2ubOR84C3z+OVJEmWyB7bauqhdmHW2K+nc7e47eQdRXV/xPW6dYUI+
NFWdbgfe9Lf3roNda9r2FpRNZ31dSkLQlQru4jcikqT6CdMSf7I+kk4g69e71pb2
qvW4oDNJbK8cOGufNjB0
=+umg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Apr 2011 07:39:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 15:57:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.